<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar"
           prefix="carbon" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.dashboard.mgt.users.common.IGadgetServerUserManagementService" %>
<%@ page import="org.wso2.carbon.dashboard.mgt.users.ui.GadgetServerUserManagementServiceClient" %>

<%
    String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
    ConfigurationContext configContext =
            (ConfigurationContext) config.getServletContext()
                    .getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);


    IGadgetServerUserManagementService gsUserMgtServiceClient =
            (IGadgetServerUserManagementService) CarbonUIUtil
                    .getServerProxy(new GadgetServerUserManagementServiceClient(cookie,
                                                                                backendServerURL,
                                                                                configContext,
                                                                                request.getLocale()),
                                    IGadgetServerUserManagementService.class, session);

    String pageAction = request.getParameter("action");
    {
        if ((pageAction != null) && ("submit".equals(pageAction))) {
            // Submit data to the backend
            String selfRegFlag = request.getParameter("allowSelfReg");
            if (selfRegFlag != null) {
                gsUserMgtServiceClient.setUserSelfRegistration(true);
            } else {
                gsUserMgtServiceClient.setUserSelfRegistration(false);
            }

            String allowExternalGadgetsFlag = request.getParameter("allowExternalGadgets");
            if (allowExternalGadgetsFlag != null) {
                gsUserMgtServiceClient.setUserExternalGadgetAddition(true);
            } else {
                gsUserMgtServiceClient.setUserExternalGadgetAddition(false);
            }

        }
    }

%>

<fmt:bundle
        basename="org.wso2.carbon.dashboard.mgt.users.ui.resource.i18n.Resources">
    <%--<carbon:jsi18n
   resourceBundle="org.wso2.carbon.dashboard.mgt.gadgetrepo.ui.resource.i18n.JSResources"
   request="<%=request%>" />--%>
    <carbon:breadcrumb label="page.title"
                       resourceBundle="org.wso2.carbon.dashboard.mgt.users.ui.resource.i18n.Resources"
                       topPage="false" request="<%=request%>"/>

    <div id="middle">
        <h2><fmt:message key="page.title"/></h2>

        <div id="workArea">
            <form action="index.jsp" method="get">

                <input type="hidden" name="action" value="submit"/>

                <table class="styledLeft">
                    <thead>
                        <tr>
                            <th colspan="2">Add/Remove Portal Permissions</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td class="formRow">
                                <table class="normal">
                                    <tbody>
                                        <tr>
                                            <td>Allow user self registration</td>
                                            <td><input type="checkbox"
                                                       name="allowSelfReg"
                                                       <% if(gsUserMgtServiceClient.isSelfRegistration()){%>checked<%}%>/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Allow users to add external Gadgets</td>
                                            <td><input type="checkbox"
                                                       name="allowExternalGadgets"
                                                       <%if(gsUserMgtServiceClient.isExternalGadgetAddition()){%>checked<%}%>/>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td class="buttonRow">
                                <input type="submit" value="Update" class="button"/>                                
                            </td>
                        </tr>
                    </tbody>
                </table>
            </form>
        </div>
    </div>
</fmt:bundle>